Uses of Interface
org.apache.tapestry.Link

Packages that use Link
org.apache.tapestry   
org.apache.tapestry.corelib.base   
org.apache.tapestry.corelib.components   
org.apache.tapestry.internal.services   
org.apache.tapestry.internal.structure   
org.apache.tapestry.internal.test   
org.apache.tapestry.services   
org.apache.tapestry.test   
 

Uses of Link in org.apache.tapestry
 

Methods in org.apache.tapestry that return Link
 Link ComponentResources.createActionLink(String eventType, boolean forForm, Object... context)
          Creates a component action request link as a callback for this component.
 Link ComponentResources.createPageLink(String pageName, boolean override, Object... context)
          Creates a render request link to a specific page.
 

Uses of Link in org.apache.tapestry.corelib.base
 

Methods in org.apache.tapestry.corelib.base that return Link
protected abstract  Link AbstractComponentEventLink.createLink(Object[] eventContext)
          Invoked to create the Link that will become the href attribute of the output.
 Link AbstractLink.getLink()
          Returns the most recently rendered Link for this component.
 

Methods in org.apache.tapestry.corelib.base with parameters of type Link
protected  void AbstractLink.writeLink(MarkupWriter writer, String clientId, Link link, Object... namesAndValues)
          Writes an <a> element with the provided link as the href attribute.
 

Uses of Link in org.apache.tapestry.corelib.components
 

Methods in org.apache.tapestry.corelib.components that return Link
protected  Link EventLink.createLink(Object[] eventContext)
           
protected  Link ActionLink.createLink(Object[] contextArray)
           
 

Uses of Link in org.apache.tapestry.internal.services
 

Classes in org.apache.tapestry.internal.services that implement Link
 class LinkImpl
          Default implementation of Link.
 

Methods in org.apache.tapestry.internal.services that return Link
 Link LinkFactoryImpl.createActionLink(Page page, String nestedId, String eventType, boolean forForm, Object... context)
           
 Link LinkFactory.createActionLink(Page page, String nestedId, String eventType, boolean forForm, Object... context)
          Creates a stateful action link.
 Link LinkFactoryImpl.createPageLink(Page page, boolean override, Object... activationContext)
           
 Link LinkFactory.createPageLink(Page page, boolean override, Object... activationContext)
          Creates a render link for the page.
 Link LinkFactoryImpl.createPageLink(String logicalPageName, boolean override, Object... context)
           
 Link LinkFactory.createPageLink(String logicalPageName, boolean override, Object... context)
          As with LinkFactory.createPageLink(Page, boolean, Object[]), but the page is specified by logical name, rather than as an instance.
 

Methods in org.apache.tapestry.internal.services with parameters of type Link
 void ClientBehaviorSupportImpl.addFormInjector(String clientId, Link link, InsertPosition insertPosition, String showFunctionName)
           
 void ClientBehaviorSupport.addFormInjector(String clientId, Link link, InsertPosition insertPosition, String showFunctionName)
          Adds a new client-side Tapestry.FormInjector object.
 void LinkFactoryListener.createdActionLink(Link link)
          Invoked when an action link (a link that asks a component to perform an action) is created.
 void ClientPersistentFieldStrategy.createdActionLink(Link link)
           
 void LinkFactoryListener.createdPageLink(Link link)
          Invoked when a page link (a link that renders a page) is created.
 void ClientPersistentFieldStrategy.createdPageLink(Link link)
           
 ComponentInvocation NoOpComponentInvocationMap.get(Link link)
           
 ComponentInvocation ComponentInvocationMap.get(Link link)
          Returns the invocation associated with a link.
 void ResponseImpl.sendRedirect(Link link)
           
 void NoOpComponentInvocationMap.store(Element element, Link link)
           
 void ComponentInvocationMap.store(Element element, Link link)
          Stores a connection between an element and the link associated with that element.
 void NoOpComponentInvocationMap.store(Link link, ComponentInvocation invocations)
           
 void ComponentInvocationMap.store(Link link, ComponentInvocation invocation)
          Stores a connection between a particular link and an invocation of a component.
 void ClientPersistentFieldStorageImpl.updateLink(Link link)
           
 void ClientPersistentFieldStorage.updateLink(Link link)
          Updates a link, adding a query parameter to it (if necessary) to store
 

Uses of Link in org.apache.tapestry.internal.structure
 

Methods in org.apache.tapestry.internal.structure that return Link
 Link InternalComponentResourcesImpl.createActionLink(String action, boolean forForm, Object... context)
          Delegates to the Page.createActionLink(String, String, boolean, Object[]) on the containing page.
 Link PageImpl.createActionLink(String nestedId, String eventType, boolean forForm, Object... context)
           
 Link Page.createActionLink(String nestedId, String eventType, boolean forForm, Object... context)
          Creates a link that will trigger behavior in a component within the page.
 Link PageImpl.createPageLink(String pageName, boolean override, Object... context)
           
 Link Page.createPageLink(String pageName, boolean override, Object... context)
          Creates a link to the named page.
 Link InternalComponentResourcesImpl.createPageLink(String pageName, boolean override, Object... context)
           
 

Uses of Link in org.apache.tapestry.internal.test
 

Methods in org.apache.tapestry.internal.test that return Link
 Link TestableResponseImpl.getRedirectLink()
           
 Link TestableResponse.getRedirectLink()
          Returns the link redirected to via Response.sendRedirect(org.apache.tapestry.Link).
 

Methods in org.apache.tapestry.internal.test with parameters of type Link
 ComponentInvocation PageTesterComponentInvocationMap.get(Link link)
           
 void TestableResponseImpl.sendRedirect(Link link)
           
 void PageTesterComponentInvocationMap.store(Element element, Link link)
           
 void PageTesterComponentInvocationMap.store(Link link, ComponentInvocation invocation)
           
 

Uses of Link in org.apache.tapestry.services
 

Methods in org.apache.tapestry.services with parameters of type Link
 void Response.sendRedirect(Link link)
          Sends a redirect to a link.
 

Uses of Link in org.apache.tapestry.test
 

Methods in org.apache.tapestry.test that return Link
protected  Link TapestryTestCase.mockLink()
           
 

Methods in org.apache.tapestry.test with parameters of type Link
protected  void TapestryTestCase.train_toRedirectURI(Link link, String URI)
           
 



Copyright © 2006-2008 Apache Software Foundation. All Rights Reserved.